Subject: Re: bug#15052: guix-0.3 make check fails, on gentoo-prefix setup

From: Cyprien Nicolas <[email-masked]>
Date: Thu, 29 Aug 2013 23:56:38 +0200

Hello,

Il y a 14 jours, Ludovic Courtès écrivit :

> Hi!
>
> Cyprien Nicolas <[email-masked]> skribis:
>
> > I don't understand all failures, some are due to socket path length:
> >
> > ERROR: In procedure connect:
> > ERROR: In procedure scm_to_sockaddr: unix address path too long: /home/cnicolas/gprefix/var/tmp/portage/sys-apps/guix-0.3/work/guix-0.3/test-tmp/var/7770/daemon-socket/socket
>
> Apff, yes, that’s a problem.  Guix clients connect to the build daemon
> over a Unix-domain socket, and that has a shameful 108 character limit
> on GNU/Linux.  Thus, all the test cases that try to connect to the build
> daemon fail.
>
> As a workaround, you could try to build in a shorter directory, if
> that’s an option at all.

Yes, I exported PORTAGE_TMPDIR=/tmp before running emerge, and all 19
tests went fine :-)

> Alternately, you could try changing the ‘test-env’ script to use
> relative directory names instead.

I haven't try it.  No real opinion on which one would be prefered.

> Can you try and report back?

Done!
-- 
Cyprien/Fulax